Loading...
Searching...
No Matches
Food Class Reference

## Public Member Functions

const unsigned int & | X ()
| Returns the position on the X-axis.
const unsigned int & | Y ()
| Returns the position on the Y-axis. More...
const bool | inTile (const unsigned int &x, const unsigned int &y)
| Checks whether is there a part of the snake in the given position.
void | spawn (Snake &snake, Snake &snake_)
| Spawns the egg/rat in a new position.
void | move (Snake &snake)
| Moves the rat.
void | update (const unsigned int &new_x, const unsigned int &new_y)
| Updates the position and direction of the entity.

## Private Attributes

QPixmap | img_rat = QPixmap(":/games/games/snake/rat.png")
| Whether the food is a rat or an egg.
bool | movable
| The position on the X-axis.
unsigned int | x
| The position on the Y-axis.
unsigned int | y
| The image which graphically represents the food.

## Member Function Documentation

## Y()

const unsigned int & Food::Y | ( |  | ) |

Returns the position on the Y-axis.

Returns the image

The documentation for this class was generated from the following files:

- logdoctor/games/snake/food.h
- logdoctor/games/snake/food.cpp